Loading...
Searching...
No Matches
CLI::adl_detail::is_lexical_castable< T, S > Class Template Reference

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr bool | value = decltype(test<T, S>(0))::value

## Detailed Description

template<typename T, typename S = std::string>
class CLI::adl_detail::is_lexical_castable< T, S >

Check for existence of user-supplied lexical_cast.

This struct has to be in a separate namespace so that it doesn't see our lexical_cast overloads in CLI::detail. Standard says it shouldn't see them if it's defined before the corresponding lexical_cast declarations, but this requires a working implementation of two-phase lookup, and not all compilers can boast that (msvc, ahem).

## Member Data Documentation

## value

template<typename T, typename S = std::string>

bool CLI::adl_detail::is_lexical_castable< T, S >::value = decltype(test<T, S>(0))::value

static constexpr

The documentation for this class was generated from the following file:

- include/CLI/TypeTools.hpp